# turtlesUI: Manages the UI component.
turtlesUI:
  # enabled: Turn UI on or off.
  enabled: false
  # version: UI version to use.
  version: 0.8.2

# rancherTurtles: Sets up the cluster management controller.
rancherTurtles:
  # image: registry.rancher.com/rancher/rancher/turtles
  image: registry.rancher.com/rancher/rancher/turtles
  # imageVersion: v0.19.0
  imageVersion: v0.19.0
  # imagePullPolicy: IfNotPresent
  imagePullPolicy: IfNotPresent
  # namespace: Select namespace for Turtles to run.
  namespace: rancher-turtles-system
  # managerArguments: Extra args for the controller.
  managerArguments: []
  # imagePullSecrets: Secrets for private registries.
  imagePullSecrets: []
  # rancherInstalled: True if Rancher already installed is in the cluster, this is the preferred installation way.
  rancherInstalled: false
  # kubectlImage: Image for kubectl tasks.
  kubectlImage: "%%IMG_REPO%%/%%IMG_PREFIX%%kubectl:1.30.3"
  # features: Optional and experimental features.
  features:
    # day2operations: Alpha feature.
    day2operations:
      # enabled: Turn on or off.
      enabled: false
      # image: registry.rancher.com/rancher/rancher/turtles
      image: registry.rancher.com/rancher/rancher/turtles
      # imageVersion: v0.19.0
      imageVersion: v0.19.0
      # imagePullPolicy: IfNotPresent
      imagePullPolicy: IfNotPresent
      # etcdBackupRestore: Alpha feature. Manages etcd backup/restore.
      etcdBackupRestore:
        # enabled: Turn on (true) or off (false).
        enabled: false
    # addon-provider-fleet: Beta feature for fleet addons.
    addon-provider-fleet:
      # enabled: Turn on or off.
      enabled: true
    # agent-tls-mode: Alpha feature for agent TLS.
    agent-tls-mode:
      # enabled: Turn on or off.
      enabled: false
    # clusterclass-operations: Alpha feature. Manages cluster class ops. Not ready for testing yet.
    clusterclass-operations:
      # enabled: Turn on or off.
      enabled: false
      # image: registry.rancher.com/rancher/rancher/turtles
      image: registry.rancher.com/rancher/rancher/turtles
      # imageVersion: v0.19.0
      imageVersion: v0.19.0
      # imagePullPolicy: IfNotPresent
      imagePullPolicy: IfNotPresent

# cluster-api-operator: Manages Cluster API components.
cluster-api-operator:
  # enabled: Turn on or off.
  enabled: true
  # cert-manager: Cert-manager integration.
  cert-manager:
    # enabled: Turn on or off.
    enabled: false
  # volumes: Volumes for operator pods (certs, config).
  volumes:
    - name: cert
      secret:
        # defaultMode: File permissions.
        defaultMode: 420
        # secretName: Secret for webhook certs.
        secretName: capi-operator-webhook-service-cert
    - name: clusterctl-config
      configMap:
        # name: ConfigMap for clusterctl.
        name: clusterctl-config
  # image: registry.rancher.com/rancher/rancher/turtles
  image:
    manager:
      # repository: Image repo.
      repository: registry.rancher.com/rancher/cluster-api-operator
  # volumeMounts: Mount volumes to pods.
  volumeMounts:
    manager:
      - mountPath: /tmp/k8s-webhook-server/serving-certs
        name: cert
        # readOnly: Mount as read-only.
        readOnly: true
      - mountPath: /config
        name: clusterctl-config
        # readOnly: Mount as read-only.
        readOnly: true
  # cleanup: Enable cleanup tasks.
  cleanup: true
  # cluster-api: Cluster API component settings.
  cluster-api:
    # enabled: Turn on or off.
    enabled: true
    # configSecret: Secret for Cluster API config.
    configSecret:
      # name: Custom secret name (if overriding).
      name: ""
      # defaultName: Default secret name.
      defaultName: capi-env-variables
    # core: Core Cluster API settings.
    core:
      # namespace: Core component namespace.
      namespace: capi-system
      # imageUrl: Custom image URL.
      imageUrl: ""
      # fetchConfig: Config fetching settings.
      fetchConfig:
        # url: Config fetch URL.
        url: ""
        # selector: Config selector.
        selector: ""
    # rke2: RKE2 provider settings.
    rke2:
      # enabled: Turn on or off.
      enabled: true
      # version: RKE2 version.
      version: "v0.15.1"
      # bootstrap: RKE2 bootstrap provider.
      bootstrap:
        # namespace: Bootstrap namespace.
        namespace: rke2-bootstrap-system
        # imageUrl: Custom image URL.
        imageUrl: ""
        # fetchConfig: Config fetching settings.
        fetchConfig:
          # url: Config fetch URL.
          url: ""
          # selector: Config selector.
          selector: ""
      # controlPlane: RKE2 control plane provider.
      controlPlane:
        # namespace: Control plane namespace.
        namespace: rke2-control-plane-system
        # imageUrl: Custom image URL.
        imageUrl: ""
        # fetchConfig: Config fetching settings.
        fetchConfig:
          # url: Config fetch URL.
          url: ""
          # selector: Config selector.
          selector: ""
    metal3:
      enabled: true
      version: "v1.9.3"
      infrastructure:
        namespace: capm3-system
        imageUrl: "registry.suse.com/rancher/cluster-api-provider-metal3:v1.9.3"
        fetchConfig:
          url: ""
          selector: ""
      ipam:
        namespace: capm3-system
        imageUrl: "registry.suse.com/rancher/ip-address-manager:v1.9.4"
